<!--
order: 2
-->

# Quick Connect

Quickly connect your app or client to Evmos services {synopsis}

## Public Available Endpoints

Below is a list of publicly available endpoints that you can use to connect to the Evmos mainnet and
public testnets:

::: tip
You can also use [chainlist.org](https://chainlist.org/) to add the node directly to [Metamask](./../users/wallets/metamask.md#automatic-import).
:::

<!-- markdown-link-check-disable -->
:::: tabs
::: tab Mainnet

| Address                                          | Category               | Maintainer                              |
| ------------------------------------------------ | ---------------------- | --------------------------------------- |
| `https://grpc.bd.evmos.org:9090`                 | `Cosmos` `gRPC`        | [Blockdaemon](https://blockdaemon.com/) |
| `https://rest.bd.evmos.org:1317`                 | `Cosmos` `REST`        | [Blockdaemon](https://blockdaemon.com/) |
| `https://tendermint.bd.evmos.org:26657`          | `Tendermint` `RPC`     | [Blockdaemon](https://blockdaemon.com/) |
| `https://eth.bd.evmos.org:8545`                  | `Ethereum` `JSON-RPC`  | [Blockdaemon](https://blockdaemon.com/) |
| `wss://eth.bd.evmos.org:8546`                    | `Ethereum` `Websocket` | [Blockdaemon](https://blockdaemon.com/) |
| `https://evmos-json-rpc.stakely.io`              | `Ethereum` `JSON-RPC`  | [Stakely](https://stakely.io/)          |
| `https://jsonrpc-evmos-ia.notional.ventures:443` | `Ethereum` `JSON-RPC`  | [Notional](https://notional.finance/)   |
| `https://rpc-evmos-ia.notional.ventures:443`     | `Tendermint` `RPC`     | [Notional](https://notional.finance/)   |
:::
::: tab Testnet
<!-- markdown-link-check-disable -->

| Address                                 | Category               | Maintainer                              |
| --------------------------------------- | ---------------------- | --------------------------------------- |
| `https://grpc.bd.evmos.dev:9090`        | `Cosmos` `gRPC`        | [Blockdaemon](https://blockdaemon.com/) |
| `https://rest.bd.evmos.dev:1317`        | `Cosmos` `REST`        | [Blockdaemon](https://blockdaemon.com/) |
| `https://tendermint.bd.evmos.dev:26657` | `Tendermint` `RPC`     | [Blockdaemon](https://blockdaemon.com/) |
| `https://eth.bd.evmos.dev:8545`         | `Ethereum` `JSON-RPC`  | [Blockdaemon](https://blockdaemon.com/) |
| `wss://eth.bd.evmos.dev:8546`           | `Ethereum` `Websocket` | [Blockdaemon](https://blockdaemon.com/) |
:::
::::
